Debian Bug report logs - #579505
openmpi should use the atomic builtins provided by GCC

version graph

Package: openmpi; Maintainer for openmpi is Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Wed, 28 Apr 2010 06:33:01 UTC

Severity: wishlist

Tags: confirmed, fixed-upstream, upstream

Found in version 1.4.1-3

Forwarded to https://svn.open-mpi.org/trac/ompi/ticket/2495

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>:
Bug#579505; Package openmpi. (Wed, 28 Apr 2010 06:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>. (Wed, 28 Apr 2010 06:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: openmpi should use the atomic builtins provided by GCC
Date: Wed, 28 Apr 2010 08:31:13 +0200
Package: openmpi
Version: 1.4.1-3

config/ompi_config_asm.m4 just checks a set of known architectures for atomic 
ops and errors out in other cases with "No atomic primitives available for 
$host".  See "Built-in functions for atomic memory access" in the gcc manual. 
The package should build on armel as well.




Added tag(s) confirmed. Request was from Manuel Prinz <manuel@debian.org> to control@bugs.debian.org. (Wed, 07 Jul 2010 13:27:05 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Manuel Prinz <manuel@debian.org> to control@bugs.debian.org. (Wed, 14 Jul 2010 15:42:06 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Manuel Prinz <manuel@debian.org> to control@bugs.debian.org. (Wed, 14 Jul 2010 15:42:07 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://svn.open-mpi.org/trac/ompi/ticket/2495'. Request was from Manuel Prinz <manuel@debian.org> to control@bugs.debian.org. (Tue, 20 Jul 2010 14:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>:
Bug#579505; Package openmpi. (Sat, 24 Nov 2012 21:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>. (Sat, 24 Nov 2012 21:15:06 GMT) Full text and rfc822 format available.

Message #18 received at 579505@bugs.debian.org (full text, mbox):

From: bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 579505@bugs.debian.org
Subject: [openmpi] Fixed upstream
Date: Sat, 24 Nov 2012 22:08:37 +0100
Package: openmpi
control: tags -1 fixed-upstream

This bug is fixed upstream on 1.7. I saw the patch on the svn and backport seems easy. I could take care if needed.

Bastien



Added tag(s) fixed-upstream. Request was from bastien ROUCARIES <roucaries.bastien@gmail.com> to 579505-submit@bugs.debian.org. (Sat, 24 Nov 2012 21:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>:
Bug#579505; Package openmpi. (Sun, 25 Nov 2012 09:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>. (Sun, 25 Nov 2012 09:15:03 GMT) Full text and rfc822 format available.

Message #25 received at 579505@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: bastien ROUCARIES <roucaries.bastien@gmail.com>, 579505@bugs.debian.org
Subject: Re: Bug#579505: [openmpi] Fixed upstream
Date: Sun, 25 Nov 2012 10:12:47 +0100
Bonjour Bastien,

On 24/11/2012 22:08, bastien ROUCARIES wrote:
> Package: openmpi
> control: tags -1 fixed-upstream
> 
> This bug is fixed upstream on 1.7. I saw the patch on the svn and backport seems easy. I could take care if needed.
I will be happy to apply your patch if you are motivated. Otherwise,
please share which patch you are referring to ;)


Thanks
S




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>:
Bug#579505; Package openmpi. (Mon, 10 Dec 2012 09:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>. (Mon, 10 Dec 2012 09:21:09 GMT) Full text and rfc822 format available.

Message #30 received at 579505@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@debian.org>
To: 579505@bugs.debian.org
Subject: openmpi should use the atomic builtins provided by GCC
Date: Mon, 10 Dec 2012 10:19:46 +0100 (CET)
Hi,

this is a good idea, and the way to success for things
like qt4-x11 and mpich2 already.

Please tell me if something else is missing for m68k support
in openmpi so this (GCC atomic builtins) can close #405929
after almost six years ;-)

bye,
//mirabilos
-- 
«MyISAM tables -will- get corrupted eventually. This is a fact of life. »
“mysql is about as much database as ms access” – “MSSQL at least descends
from a database” “it's a rebranded SyBase” “MySQL however was born from a
flatfile and went downhill from there” – “at least jetDB doesn’t claim to
be a database”	(#nosec)    ‣‣‣ Please let MySQL and MariaDB finally die!



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:42:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.